Oracle MySQL 5.6.x < 5.6.27 Multiple Vulnerabilities (October 2015 CPU) (January 2016 CPU) (July 2016 CPU)

Medium Nessus Plugin ID 86661

Synopsis

The remote host is missing one or more security updates.

Description

The version of Oracle MySQL installed on the remote host is 5.6.x prior to 5.6.27. It is, therefore, affected by the following vulnerabilities :

- An unspecified flaw exists in the Types subcomponent.
An authenticated, remote attacker can exploit this to gain access to sensitive information. (CVE-2015-4826)

- An unspecified flaw exists in the Security:Privileges subcomponent. An authenticated, remote attacker can exploit this to impact integrity. (CVE-2015-4830)

- An unspecified flaw exists in the Security:Encryption subcomponent. An unauthenticated, remote attacker can exploit this to gain access to sensitive information.
(CVE-2015-7744)

- An unspecified flaw exists in the Options subcomponent that allows a local attacker to gain elevated privileges. (CVE-2016-3471)

Additionally, unspecified denial of service vulnerabilities exist in the following MySQL subcomponents :

- DDL (CVE-2015-4815)

- DML (CVE-2015-4858, CVE-2015-4862, CVE-2015-4913)

- General (CVE-2016-0605)

- InnoDB (CVE-2015-4861)

- Memcached (CVE-2015-4910)

- Optimizer (CVE-2015-4800)

- Parser (CVE-2015-4870)

- Partition (CVE-2015-4792, CVE-2015-4802)

- Replication (CVE-2015-4890)

- Security:Privileges (CVE-2015-4791)

- SP (CVE-2015-4836)

Solution

Upgrade to MySQL version 5.6.27 or later.

See Also

http://www.nessus.org/u?1de82df5

http://www.nessus.org/u?10ceb1c6

http://www.nessus.org/u?42cde00c

https://dev.mysql.com/doc/relnotes/mysql/5.6/en/news-5-6-27.html

https://support.oracle.com/epmos/faces/DocumentDisplay?id=2048227.1

https://support.oracle.com/rs?type=doc&id=2096144.1

https://support.oracle.com/rs?type=doc&id=2157431.1

http://www.nessus.org/u?75a4a4fb

http://www.nessus.org/u?d13bbe45

http://www.nessus.org/u?453b5f8c

Plugin Details

Severity: Medium

ID: 86661

File Name: mysql_5_6_27_rpm.nasl

Version: 1.11

Type: local

Family: Databases

Published: 2015/10/29

Updated: 2018/11/15

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4

Temporal Score: 3.1

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:mysql, p-cpe:/a:amazon:linux:mysql, p-cpe:/a:centos:centos:mysql, p-cpe:/a:fedoraproject:fedora:mysql, p-cpe:/a:fermilab:scientific_linux:mysql, p-cpe:/a:novell:opensuse:mysql, p-cpe:/a:novell:suse_linux:mysql, p-cpe:/a:oracle:linux:mysql, p-cpe:/a:redhat:enterprise_linux:mysql

Required KB Items: Host/local_checks_enabled

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/10/20

Vulnerability Publication Date: 2015/10/20

Reference Information

CVE: CVE-2015-4791, CVE-2015-4792, CVE-2015-4800, CVE-2015-4802, CVE-2015-4815, CVE-2015-4826, CVE-2015-4830, CVE-2015-4836, CVE-2015-4858, CVE-2015-4861, CVE-2015-4862, CVE-2015-4870, CVE-2015-4890, CVE-2015-4910, CVE-2015-4913, CVE-2015-7744, CVE-2016-0605, CVE-2016-3471

BID: 77137, 77145, 77147, 77153, 77165, 77171, 77190, 77208, 77213, 77216, 77222, 77228, 77231, 77234, 77237, 91618